#!/bin/bash
# Basé sur un travail de Cédric Abonnel / Cédrix sous licence CC BY-NC 4.0

POSTFIX_ALIASES="/etc/postfix/virtual_aliases"

if [[ -z "$1" ]]; then
    echo "Usage: $0 <alias>"
    exit 1
fi

ALIAS=$1

echo "Suppression de l'alias : $ALIAS"

# Supprimer l'entrée de l'alias
sed -i "/^$ALIAS /d" $POSTFIX_ALIASES

postmap $POSTFIX_ALIASES
systemctl reload postfix

echo "Alias $ALIAS supprimé"
